.\"	$NetBSD: sighold.3,v 1.3 2003/04/16 13:34:39 wiz Exp $
.\"
.\" Copyright (c) 2003 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Klaus Klein.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd January 16, 2003
.Dt SIGHOLD 3
.Os
.Sh NAME
.Nm sighold
.Nd manipulate current signal mask
.Sh LIBRARY
.Lb libc
.Sh SYNOPSIS
.In signal.h
.Ft int
.Fn sighold "int sig"
.Sh DESCRIPTION
.Bf -symbolic
This interface is made obsolete by
.Xr sigprocmask 2 .
.Ef
.Pp
The
.Fn sighold
function adds the signal
.Fa sig
to the calling process' signal mask.
.Sh RETURN VALUES
If successful, the
.Fn sighold
function returns 0.
Otherwise \-1 is returned and
.Va errno
is set to indicate the error.
.Sh ERRORS
The
.Fn sighold
function will fail if:
.Bl -tag -width Er
.It Bq Er EINVAL
The argument
.Fa sig
is not a valid signal number.
.El
.Sh SEE ALSO
.Xr sigprocmask 2 ,
.Xr sigrelse 3
.Sh STANDARDS
The
.Fn sighold
function conforms to
.St -p1003.1-2001 .
